nre_ad_table:
  namespace: "Organisms/TM - LDB"
  use: "@organisms/tm-ldb/nre-ad-table/_nre-ad-table.twig"
  label: LDB Station table
  description: LDB Calling table

  fields:
    content_data:
      type: object
      label: Contents
      preview:
        acb1:
          serviceID: "acb1"
          platform: "-"
          destination: "Great Yarmouth"
          departs: "17:00"
          expected: "On time"
          origin: "Norwich"
          operator: "Northern"
          details:
            - text: "Great Yarmouth - Departing on time at 06:58"
            - text: "Acle - Arriving on time at 07:09"
            - text: "Brundall - Arriving on time at 07:21"
            - text: "Brundall Gardens - Arriving on time at 07:24"
            - text: "Norwich - Arriving on time at 07:35"

        abc2:
          serviceID: "abc2"
          platform: "2"
          destination: "Leeds"
          departs: "13:05"
          expected: "On time"
          origin: "Hidben Bridge"
          operator: "Northern"
          details:
            - text: "Moston - Cancelled"
            - text: "Mills Hill - Cancelled"
            - text: "Castleton - Cancelled"
            - text: "Rochdale - Cancelled"
            - text: "Todmorden - Cancelled"
            - text: "Hebden Bridge - Departed on time at 12:50"
            - text: "Mytholmroyd - Departed at 12:55"

  settings:
    type:
      type: select
      label: Type
      default_value: depart
      preview: card
      description: Type of table (arrive, depart)
      options:
        arrive: Arrive
        depart: Depart

nre_ad_list:
  namespace: "Organisms/TM - LDB"
  use: "@organisms/tm-ldb/nre-ad-table/_nre-ad-list.twig"
  label: LDB Calling list
  description: LDB Calling list

  fields:
    details:
      type: object
      label: Items
      preview:
        - "Great Yarmouth - Departing on time at 06:58"
        - "Acle - Arriving on time at 07:09"
        - "Brundall - Arriving on time at 07:21"
        - "Brundall Gardens - Arriving on time at 07:24"
        - "Norwich - Arriving on time at 07:35"

  settings:
    attributes:
      type: attributes
      label: Attributes
      description: An attributes object
